#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	defusedxml
%define		pypi_name	defusedxml
Summary:	XML bomb protection for Python stdlib modules
Summary(pl.UTF-8):	Zabezpieczenie przed bombami XML dla modułów biblioteki standardowej Pythona
Name:		python-%{module}
Version:	0.7.1
Release:	4
License:	PSF v2
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/defusedxml/
Source0:	https://files.pythonhosted.org/packages/source/d/defusedxml/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	a50e7f21aa60a741efe6b1b658dfb3f8
Patch0:		python-defusedxml-format_strings.patch
URL:		https://pypi.org/project/defusedxml/
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML bomb protection for Python stdlib modules.

%description -l pl.UTF-8
Zabezpieczenie przed bombami XML dla modułów biblioteki standardowej
Pythona.

%package -n python3-%{module}
Summary:	XML bomb protection for Python stdlib modules
Summary(pl.UTF-8):	Zabezpieczenie przed bombami XML dla modułów biblioteki standardowej Pythona
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5

%description -n python3-%{module}
XML bomb protection for Python stdlib modules.

%description -n python3-%{module} -l pl.UTF-8
Zabezpieczenie przed bombami XML dla modułów biblioteki standardowej
Pythona.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.txt CHANGES.txt
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.txt CHANGES.txt
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-defusedxml.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ae4bdf3
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 53f7e7f
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ac42b33
- rebuild with python 3.10

* Thu Mar 17 2022 Jakub Bogusz <qboosh@pld-linux.org> c600357
- updated to 0.7.1

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 4025a4d
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> c7dabc1
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Oct 08 2019 Jakub Bogusz <qboosh@pld-linux.org> e92c507
- updated to 0.6.0
- removed outdated entity_loop patch

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a61e70
- python 3.7 rebuild
- release 2 (by relup.sh)

* Sat Apr 22 2017 Elan Ruusamäe <glen@delfi.ee> 321c3bc
- up to 0.5.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8884e15
- python 3.6
- release 9 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 657ade8
- Release: 8

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e93e150
- release 7 (by relup.sh)

* Thu Nov 26 2015 Elan Ruusamäe <glen@delfi.ee> 9ad999e
- macros dep for %{py,py3}_{build,install} macros

* Thu Nov 26 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 0f49ccd
- Use py_build/py_install and setuptools

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 039e98b
- rel 5; FC fixes

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d25c8a1
- python 3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d730950
- python 3.5 rebuild
- release 3 (by relup.sh)

* Mon Oct 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ab7645c
- no hash in url

* Mon Oct 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fe30cf2
- release 2 (by relup.sh)

* Wed Sep 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 78a3024
- initial 0.4.1

